<template>
  <div class="page-grid">
    <NavBar>
      <template slot="left">
        <BurgerNav />
      </template>
      <template slot="right">
        <AddAccount v-if="!current_user" />
        <nuxt-link v-else :to="localePath('/profile')" class="navbar__avatar">
          <Avatar :user="current_user" />
        </nuxt-link>
      </template>
    </NavBar>
    <div class="page-grid__sidebar">
      <div><SidebarPage /></div>
    </div>
    <div class="page-grid__content">
      <nuxt :key="$route.path" />
      <MobileApp />
      <Footer />
    </div>
    <SidebarContainer>
      <SidebarMenu />
    </SidebarContainer>
    <Cookie />
  </div>
</template>

<script lang="ts">
import { defineComponent, computed } from '@nuxtjs/composition-api'
import Layouts from '@/components/ui/Layouts.vue'

import Nav from '@/components/app/Nav.vue'
import Footer from '@/components/app/Footer.vue'
import MobileApp from '@/components/app/MobileApp.vue'
import SidebarPage from '@/components/app/SidebarPage.vue'
import Cookie from '@/components/app/Cookie.vue'

import NavBar from '@/components/app/NavBar.vue'
import BurgerNav from '@/components/ui/BurgerNav.vue'
import Avatar from '@/components/ui/Avatar.vue'
import AddAccount from '@/components/ui/AddAccount.vue'

import SidebarContainer from '@/components/app/SidebarContainer.vue'
import SidebarMenu from '@/components/app/SidebarMenu.vue'
export default defineComponent({
  name: 'CustomPageLayout',
  components: {
    Layouts,
    Nav,
    Footer,
    MobileApp,
    SidebarPage,
    Cookie,
    NavBar,
    BurgerNav,
    Avatar,
    AddAccount,
    SidebarContainer,
    SidebarMenu
  },
  setup(_, { root }) {
    const current_user = computed(() => root.$accessor.auth.user)
    return { current_user }
  }
})
</script>

<style lang="scss" scoped>
.page-grid {
  margin: 0 auto;
  max-width: 1920px;
  display: grid;
  grid-template-areas: 'sidebar' 'content';
  grid-template-columns: 100%;
  grid-row-gap: 20px;
  padding: 55px 20px 20px 20px;
  @media (min-width: 1199.98px) {
    grid-template-areas: 'sidebar content';
    grid-template-columns: 300px auto;
    grid-gap: 30px;
    padding-top: 110px;
  }
  @media (min-width: 1400px) {
    grid-template-areas: 'sidebar content';
    grid-template-columns: 350px auto;
    grid-column-gap: 100px;
  }

  &__sidebar {
    grid-area: sidebar;
    margin-left: -20px;
    margin-right: -20px;
    padding: 20px;
    border-bottom: 1px solid #272c3b;
    border-top: 1px solid #272c3b;
    @media (min-width: 1199.98px) {
      margin-left: 0px;
      margin-right: 0px;
      padding: 0;
      border-bottom: 0;
    }
    > div {
      position: sticky;
      top: 30px;
    }
  }
  &__container {
    grid-area: content;
    max-width: 100%;
  }
}
</style>
